%Función Filtro Peine (combfilter)
%---------------------------------
%y salida,  x entrada, d delay, g ganancia, s size
function y =combfilter(x,s,d,g)
y=zeros(s,1);
z=zeros(s+d,1);
for n=1:s
  y(n)=z(n);
  z(n+d)=x(n)+g*y(n);
end